﻿using Syncfusion.Pdf.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PdfViewerSampleWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.WindowState = WindowState.Maximized;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            pdfViewer.Load("../../Data/Barcode.pdf");
            //Creating PageClicked event to find the coordinate of the move click over the Page in the PDF document
            pdfViewer.PageClicked += pdfViewer_PageClicked;
        }
        //PageClicked event
        void pdfViewer_PageClicked(object sender, Syncfusion.Windows.PdfViewer.PageClickedEventArgs args)
        {
            PdfUnitConvertor convertor = new PdfUnitConvertor();
            float xCoordinate= convertor.ConvertFromPixels((float)args.Position.X, PdfGraphicsUnit.Point);
            float yCoordinate = convertor.ConvertFromPixels((float)args.Position.Y, PdfGraphicsUnit.Point);
            MessageBox.Show("X-Coordinate: " + xCoordinate.ToString() + " pts\nY-Coordinate: " + yCoordinate.ToString()+" pts\n\nPage Index: "+args.PageIndex.ToString());
        }
    }
}
